Download it now!
Bug 30567 - Installing extensions does not work properly
Summary: Installing extensions does not work properly
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Mac OS X (All)
: medium critical
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-02 11:47 UTC by Michèle Garoche
Modified: 2011-01-15 04:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michèle Garoche 2010-10-02 11:47:38 UTC
System/Architecture: Mac OS X 10.5.8 Intel
LibreOffice version: 3.3.0

Impress extensions:

When trying to install an extension the first time through the extension manager, it is impossible:
a problem with noderef not existing.

When installing through open with LibreOffice:

1 - sun-presentation-minimizer.oxt

installs, but it not viewed in extension manager, nor seems it to be of any use, always grayed. Cannot be uninstalled either.

2 - sun-pdfimport.oxt

makes the application crash, but installs.
When LibreOffice is launched again, appears in the extension manager

3 - Sun_ODF_Template_Pack2_en-US.oxt

installs correctly and is viewed in the extension manager (I guess it has something to do with the fact that now there is a correct noderef for additional extension)
Comment 1 Thorsten Behrens (CIB) 2010-10-14 02:25:27 UTC
The OOo extensions were partially broken for 3.3 beta builds - we have now included the relevant extensions directly into the dmg, so no need to install them separately.
Comment 2 Thorsten Behrens (CIB) 2010-10-14 02:25:43 UTC
Fixed in beta2
Comment 3 sophie 2011-01-15 04:10:18 UTC
Closing - Sophie